<?php

// Модуль ArangoDB для фреймворка Yii
use mirzaev\yii2\arangodb\Migration;

/**
 * Создание коллекции для хранения сессий
 *
 * @package mirzaev\yii2\sessions\arangodb
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
class create_sessions_collection extends Migration
{
    public function up()
    {
        /**
         * @param string Название коллекции
         * @param array Тип коллекции (2 - документ, 3 - ребро)
         */
        $this->createCollection('sessions', ['type' => 2]);
    }

    public function down()
    {
        $this->dropCollection('sessions');
    }
}
